--- old/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Thu Feb 12 16:37:40 2015
+++ new/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Thu Feb 12 16:37:40 2015
@@ -18,6 +18,7 @@
 #
 # CDDL HEADER END
 #
+# Copyright 2015 Gary Mills
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -73,9 +74,15 @@
 TSSLIB64=-L$(TSPILIBDIR)/$(MACH64)
 TSSINC=-I$(TSPIINCDIR)
 
-LDLIBS += $(TSSLIB) -L$(ADJUNCT_PROTO)/lib -lc -luuid -lmd -ltspi -lcrypto
-CPPFLAGS += -xCC -D_POSIX_PTHREAD_SEMANTICS $(TSSINC)
-CPPFLAGS64 += $(CPPFLAGS)
+# Use libraries and include files from the build host
+LDLIBS=		$(TSSLIB) -L$(ADJUNCT_PROTO)/lib -lc -luuid -lmd -ltspi \
+		-lcrypto
+CPPFLAGS=	$(DTEXTDOM) $(DTS_ERRNO)
+CPPFLAGS +=	-xCC -D_POSIX_PTHREAD_SEMANTICS
+COMPILE.c=	$(CC) $(CFLAGS) $(TSSINC) $(CPPFLAGS) -c
+LINT.c=		$(LINT) $(ONLY_LINT_DEFS) $(LINTFLAGS) $(TSSINC) $(CPPFLAGS) \
+		$(ALWAYS_LINT_DEFS)
+
 C99MODE=        $(C99_ENABLE)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
